# cv_analysis.figure_detection.text module — CV Analysis Service 2.5.2 documentation

Skip to main content
`Ctrl`+`K`

# cv_analysis.figure_detection.text module

cv_analysis.figure_detection.text.apply_threshold_to_image(image)

  Converts an image to black and white.

cv_analysis.figure_detection.text.draw_bboxes(image, bboxes)

cv_analysis.figure_detection.text.is_likely_primary_text_segment(cnt)

cv_analysis.figure_detection.text.remove_primary_text_regions(image)

  Removes regions of primary text, meaning no figure descriptions for example, but main text body paragraphs.

  Parameters:

    image – Image to remove primary text from.

  Returns:

    Image with primary text removed.

  References

  https://stackoverflow.com/questions/58349726/opencv-how-to-remove-text-from-background